package com.ecep.contract.model;

import java.io.Serializable;
import java.util.Objects;

import com.ecep.contract.CustomerFileType;
import com.ecep.contract.util.HibernateProxyUtils;
import com.ecep.contract.vo.CustomerFileTypeLocalVo;

import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 客户文件类型（多国语言支持）
 */
@Getter
@Setter
@Entity
@Table(name = "CUSTOMER_FILE_TYPE_LOCAL")
@ToString(callSuper = true)
public class CustomerFileTypeLocal extends BaseEnumEntity<CustomerFileType> implements Serializable, Voable<CustomerFileTypeLocalVo> {
    private static final long serialVersionUID = 1L;

    @Override
    public final boolean equals(Object object) {
        if (this == object) {
            return true;
        }
        if (object == null) {
            return false;
        }
        if (HibernateProxyUtils.isNotEffectiveClassEquals(object, this)) {
            return false;
        }
        CustomerFileTypeLocal that = (CustomerFileTypeLocal) object;
        return getId() != null && Objects.equals(getId(), that.getId());
    }

    @Override
    public final int hashCode() {
        return HibernateProxyUtils.hashCode(this);
    }

    @Override
    public CustomerFileTypeLocalVo toVo() {
        CustomerFileTypeLocalVo vo = new CustomerFileTypeLocalVo();
        vo.setId(getId());
        vo.setLang(getLang());
        vo.setValue(getValue());
        vo.setType(getType());
        return vo;
    }
}